Not the answer you need?
Register and ask your own question!

Percona Xtrabackup for MySQL 5.7 (Developer Version)

mightyapemightyape EntrantLegacy User Role Beginner
Percona Xtrabackup and MySQL 5.7 Compatibility


I am trying to install Percona Xtrabackup on Debian Wheezy and backup a MySQL 5.7.6 M16 (Developer Release) instance. I installed the MySQL community edition from source with the standard procedure and the server works fine.

I then tried to install Percona Xtrabackup by downloading the deb-bundle or by adding the Percona repository to my sources list. After the installation is done I can't stop, start or restart the MySQL instance as the binaries for the myssqld service are not there anymore. Re-installing the instance with make install does not help either, the service remains inaccessible. I noticed that during the Percona installation apt installs the mysql-common package, which should already be installed during the source code build process. After doind a little research I just notices that although Percona mentiones MySQL 5.7 in bug-fixes, the documentation does not mention MySQL 5.7 as supported version.

Is MySQL 5.7 supported yet?
How can I compile Percona Xtrabackup fpr MySQL 5.7?

Thanks in advance!
Stefan

Comments

  • rgarverrgarver Entrant Inactive User Role Beginner
    I'm running in to this as well. If a packaged version is not ready yet, is it at least possible to build for the latest percona-mysql 5.7 version?
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.